> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truv.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Search companies with autocomplete

> The endpoint provides company search using prefix.



## OpenAPI

````yaml GET /v1/company-mappings-search/
openapi: 3.0.1
info:
  title: Truv API
  description: Truv API Documentation
  termsOfService: https://www.truv.com/legal/terms-of-use
  contact:
    email: support@truv.com
  version: v1
servers:
  - url: https://prod.truv.com
security:
  - ClientID: []
    AccessKey: []
tags:
  - name: Users
  - name: Bridge Token
  - name: Companies and Data Providers
  - name: Key Management
  - name: Account Links
  - name: Data Refresh
  - name: Customization Templates
  - name: Webhooks
  - name: Orders
  - name: Tasks
  - name: VOIE Reports
  - name: VOA Reports
  - name: Income Insights Reports
  - name: DDS Reports
  - name: Employment
  - name: Identity
  - name: Shifts
  - name: Pay Statements
  - name: Tax Documents
  - name: Parsed Documents
  - name: Reports
  - name: Uploaded Documents
  - name: Bank Accounts
  - name: Bank Statements
  - name: Deposit Switch Reports
  - name: Insurance Reports
  - name: Income Report
  - name: Scoring Attributes
  - name: Accounts
  - name: Transactions
  - name: Recurring Transactions
  - name: Document Collections
paths:
  /v1/company-mappings-search/:
    parameters: []
    get:
      tags:
        - Companies and Data Providers
      summary: Search companies with autocomplete
      description: The endpoint provides company search using prefix.
      operationId: company_autocomplete_search
      parameters:
        - name: query
          in: query
          description: >-
            Search query to find companies. Searches across company names,
            domains, and synonyms. Supports partial matching and fuzzy matching
            for typos.
          required: true
          schema:
            type: string
          example: Face
        - name: product_type
          in: query
          description: Product type for success rate calculation
          required: false
          schema:
            type: string
            example: income
            enum:
              - income
              - employment
              - deposit_switch
              - pll
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CompanyMappingSearchResponse'
        '401':
          description: HTTP 401 Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error401'
        '403':
          description: HTTP 403 Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error403'
components:
  schemas:
    CompanyMappingSearchResponse:
      required:
        - company_mapping_id
        - name
        - domain
        - success_rate
        - confidence_level
      type: object
      properties:
        company_mapping_id:
          description: Company to Payroll Provider mapping ID
          type: string
          example: 48427a36d43c4d5aa6324bc06c692456
        name:
          description: Company name
          type: string
          example: Facebook Demo
        domain:
          description: Company domain
          type: string
          nullable: true
          example: facebook.com
        logo_url:
          description: URL to company logo
          type: string
          nullable: true
          example: https://cdn.truv.com/facebook.png
        success_rate:
          description: Success rate for the company
          type: string
          enum:
            - low
            - high
            - unsupported
            - null
          example: high
          nullable: true
        confidence_level:
          description: >-
            Confidence level for the company success rate. Range of possible
            values is from 0 to 1 with 0.5 and above being high success rate
          type: string
          example: '0.9'
        sso:
          description: SSO provider for the company
          required:
            - name
          type: object
          nullable: true
          properties:
            name:
              description: SSO provider name
              type: string
              example: Microsoft
      description: Response for company search endpoint.
    Error401:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: authentication_failed
            message:
              description: ''
              type: string
              example: No such token
    Error403:
      description: ''
      type: object
      properties:
        error:
          description: ''
          type: object
          properties:
            code:
              description: ''
              type: string
              example: not_authenticated
            message:
              description: ''
              type: string
              example: Authentication credentials were not provided.
  securitySchemes:
    ClientID:
      type: apiKey
      description: Client ID
      name: X-Access-Client-Id
      in: header
    AccessKey:
      type: apiKey
      description: Client Access Key
      name: X-Access-Secret
      in: header

````